TAIL(1)

NAME
tail - deliver the last part of a file

SYNOPSIS
tail [ ±[number][lbc][fr] ] [ file ]

DESCRIPTION
Tail copies the named file to the standard output beginning at a designated place. If no file is named, the standard input is used.

OPTIONS

+number
    Copy input starting at line number of the input file. Depending on the use of the l, b or c options, number denotes a count of lines, blocks or characters. If none of the l, b or c options are specified, tail defaults to counting lines. If number is not specified, a value of 10 is used.

-number
    Copy input starting at a distance of number lines from the end of the file. Depending on the use of the l, b or c options, number denotes a count of lines, blocks or characters. If none of the l, b or c options are specified, tail defaults to counting lines. If number is not specified, a value of 10 is used.

l   number is used as a count of lines.

b   number is used as a count of 512-byte blocks.

c   number is used as a count of characters.

f   tail does not quit at the end of the input file, but continues to read from the input file repeatedly in hopes that the file will grow.

r   tail prints lines from the end of the input file in reverse order. The default for r is to print one entire buffer (approximately 32K) this way.

SEE ALSO
dd(1)

BUGS
Tails relative to the end of the file are treasured up in a buffer, and thus are limited in length.

Various kinds of anomalous behavior may happen with character special files.

Note that the tail command recognizes only one option argument before the list of files. Therefore, you cannot use the -n option and the -f option together as in tail -f -20 filename. To use these two options together, you would specify them as tail -20f filename.